Bug 89389 - form control shapes loose link with their control when grouped
Summary: form control shapes loose link with their control when grouped
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-02-14 23:26 UTC by Lionel Elie Mamane
Modified: 2019-11-19 09:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2015-02-14 23:26:47 UTC
After a shape (of a form control) is grouped with another one, the two shapes' getControl() method returns NULL instead of the model of the control they are the shape of.

Used to work as far back as 3.5; didn't test intermediate versions. This was briefly fixed in master and libreoffice-4-4, but broken again (reverted) to fix to bug 60910.

See:

 - Basic procedure "Main" in attachment 113352 [details]
   (which can be launched by clicking on the button in the document)
   
 - testControlShapeGrouping in sw/qa/core/macros-test.cxx
   (revert 93488dd9843c62d46f1894a6d5005871bc60b98c and
    9d9e4b9f7de815984ca67e58bb8cea745c0b4568 and then
    cd sw && make -r -s CppunitTest_sw_macros_test)
Comment 1 Joel Madero 2015-02-15 01:46:29 UTC
Marking NEW as Lionel reported it. Bibisect might be useful.
Comment 2 Matthew Francis 2015-02-15 10:07:06 UTC
Tthe attachment mentioned in comment 0 first started failing after the original fix to bug 60910 (below), so this is clearly the gift that keeps on giving. With luck the third attempt will fare better!


commit 57082b1243e86694b72c5e4fad013bf207bfe81a
Author: Luke Deller <luke@deller.id.au>
Date:   Sun Apr 28 07:06:11 2013 +1000

    fdo#60910: discard UNO shape object in SdrObject::SetPage
Comment 3 Robinson Tryon (qubit) 2015-12-13 11:12:23 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2017-09-29 08:49:19 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2018-06-05 21:21:17 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-09-02 09:21:55 UTC
Dear Lionel Elie Mamane,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug